# Search and paginate customer memberships and invitations without invitation tokens (assigned staff only) (/docs/api-reference/organization-collections/AdminCollectionsController_people)

`GET /api/organizations/{orgId}/collection-people`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `orgId` | path | yes | string |  |
| `page` | query | no |  |  |
| `pageSize` | query | no | 25 \| 50 \| 100 |  |
| `q` | query | no | string | Literal text search; SQL wildcard characters have no special meaning. |
| `factory` | query | no | string | Factory slug belonging to this organization. |
| `status` | query | no | "all" \| "member" \| "disabled" \| "pending" \| "expired" \| "accepted" |  |
| `role` | query | no | "all" \| "organization_admin" \| "production_engineer" \| "production_technician" \| "production_planner" \| "production_qa" \| "owner" \| "admin" \| "member" \| "viewer" |  |
| `sort` | query | no | "name_asc" \| "name_desc" \| "newest" |  |

## Responses

### 200

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "total": {
      "type": "number"
    },
    "page": {
      "type": "number"
    },
    "pageSize": {
      "type": "number",
      "enum": [
        25,
        50,
        100
      ]
    },
    "pageCount": {
      "type": "number",
      "description": "Zero for an empty collection; page remains one."
    },
    "items": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "kind": {
            "type": "string",
            "enum": [
              "member",
              "invitation"
            ]
          },
          "userId": {
            "type": "string",
            "nullable": true
          },
          "fullName": {
            "type": "string",
            "nullable": true
          },
          "email": {
            "type": "string",
            "nullable": true
          },
          "role": {
            "type": "string"
          },
          "factoryId": {
            "type": "string",
            "nullable": true,
            "description": "Verified home/profile factory slug; does not describe access permissions."
          },
          "factoryName": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "string",
            "enum": [
              "member",
              "disabled",
              "pending",
              "expired",
              "accepted"
            ]
          },
          "disabledReason": {
            "type": "string",
            "nullable": true,
            "enum": [
              "removed",
              "banned",
              "account_unavailable"
            ]
          },
          "joinedAt": {
            "type": "string",
            "nullable": true
          },
          "createdAt": {
            "type": "string",
            "nullable": true
          },
          "expiresAt": {
            "type": "string",
            "nullable": true
          },
          "acceptedAt": {
            "type": "string",
            "nullable": true
          },
          "bannedUntil": {
            "type": "string",
            "nullable": true
          }
        },
        "required": [
          "id",
          "kind",
          "userId",
          "fullName",
          "email",
          "role",
          "factoryId",
          "factoryName",
          "status",
          "disabledReason",
          "joinedAt",
          "createdAt",
          "expiresAt",
          "acceptedAt",
          "bannedUntil"
        ]
      }
    }
  },
  "required": [
    "total",
    "page",
    "pageSize",
    "pageCount",
    "items"
  ]
}
```